Subject: [PATCH] n_tty: use kmalloc() instead of vmalloc() to avoid crash on armada-xp

From: [email-masked] (Stas Sergeev)
Date: Thu, 12 Mar 2015 16:16:03 +0300

12.03.2015 16:12, Russell King - ARM Linux ?????:
> On Thu, Mar 12, 2015 at 04:03:07PM +0300, Stas Sergeev wrote:
>> Yeah, I realize that, but I was hoping that some work-around
>> exists. For example, move entire dimm above 4G? Is this really
>> impossible? Or maybe move overlapping region above 8G...
> You /really/ don't want to do that.  We have that situation on TI Keystone
> SoCs and it's really horrible for the kernel to deal with.
>
> For early kernel boot, we require RAM below the 4GB boundary, so that
> we are able to execute code before the MMU is enabled.  No RAM below
> 4GB basically means there is no way to execute any code from RAM.
Then maybe it is possible to move the iomem to 1Gb and move
RAM above 1Gb, so that 3Gb of RAM are still available for early boot?
I mean, well, huh, giving up 256Mb of RAM so easily... :)